コンテンツへスキップ

Gemini 3.1 Flash Tts

統合

モデルID gemini-3.1-flash-tts
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-3.1-flash-tts?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.003 3 APIクレジット このページで実行

APIキーを取得
Google テキスト読み上げ リップシンク高速 #lipsync#avatar

インラインのスタイル制御、30種類の音声、最大10話者に対応するGemini 3.1 Flash音声合成

Google · 音声

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 50 / 50000

Gemini 3.1 Flash TTS用の音声合成テキスト。複数話者の場合、各行は'speakers'フィールドのエイリアスで始めます(例:'Alice: Hello!\nBob: Hi!')。[sigh]、[laughing]、[whispering]、[short pause]などの表現豊かな音声タグや、アクセント、感情、ペース、スタイルを指定するインラインの自然言語指示(例:'Say cheerfully: Have a wonderful day!')で細かく制御できます。

詳細設定 style_instructions · output_format · voice · language_code · temperature · speakers
0 / 4000

発話内容とは分離して保持され、表現力、アクセント、速度、トーン、感情を調整するためプロンプトの前に挿入される任意の自然言語指示。例:'Speak warmly and slowly'、'Read this as a dramatic newscast'、'Use a British accent with a cheerful tone'、'Whisper mysteriously'。

output_format デフォルト mp3

出力音声の形式。mp3は圧縮されたコンパクトなファイルで推奨されます。wavは24 kHz、16ビット、モノラル音声をWAVコンテナに格納した非圧縮PCMです。ogg_opusはOgg内でOpusを使用し、品質とサイズのバランスに優れています。

デフォルト Kore

30種類のプリセットから選ぶ単一話者の音声。speakersを設定するとこの選択は無効になります。人気の女性音声は、力強く明瞭なKore、明るくクリアなZephyr、温かくメロディックなAoedeです。人気の男性音声は、明るく活発なPuck、穏やかでプロフェッショナルなCharonです。

多言語合成の言語上書き。言語を指定しない場合はテキストから自動検出され、指定するとモデルの発話言語を誘導します。

デフォルト 1

発話のランダム性設定。低い設定では集中した予測可能な発話、高い設定では創造的で変化に富んだ発話になります。

複数話者がテキストの別々の部分を読むための音声設定。各話者に、対応するプロンプト接頭辞と一致するspeaker_idエイリアスと音声を割り当てます。

POST /run/gemini-3.1-flash-tts?wait=20 見積もり → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-3.1-flash-tts?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Gemini 3.1 Flash Ttsについて

最大50000文字の`prompt`を音声に変換します。発話はインラインまたは`style_instructions`で制御できます。30種類の音声から選択し、`language_code`を設定するか、マルチスピーカー音声用に`speakers`(2〜10)を使用します。出力はmp3、wav、ogg_opusで、`temperature`は0〜2です。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 50,000文字
Gemini 3.1 Flash TTS用の音声合成テキスト。複数話者の場合、各行は'speakers'フィールドのエイリアスで始めます(例:'Alice: Hello!\nBob: Hi!')。[sigh]、[laughing]、[whispering]、[short pause]などの表現豊かな音声タグや、アクセント、感情、ペース、スタイルを指定するインラインの自然言語指示(例:'Say cheerfully: Have a wonderful day!')で細かく制御できます。
style_instructions任意
型string | null
≤ 4,000文字
発話内容とは分離して保持され、表現力、アクセント、速度、トーン、感情を調整するためプロンプトの前に挿入される任意の自然言語指示。例:'Speak warmly and slowly'、'Read this as a dramatic newscast'、'Use a British accent with a cheerful tone'、'Whisper mysteriously'。
voice任意
型enum
デフォルトKore
AchernarAchirdAlgenibAlgiebaAlnilamAoedeAutonoeCallirrhoeCharonDespinaEnceladusErinomeFenrirGacruxIapetusKore
さらに14件LaomedeiaLedaOrusPulcherrimaPuckRasalgethiSadachbiaSadaltagerSchedarSulafatUmbrielVindemiatrixZephyrZubenelgenubi
30種類のプリセットから選ぶ単一話者の音声。speakersを設定するとこの選択は無効になります。人気の女性音声は、力強く明瞭なKore、明るくクリアなZephyr、温かくメロディックなAoedeです。人気の男性音声は、明るく活発なPuck、穏やかでプロフェッショナルなCharonです。
language_code任意
型enum
Arabic (Egypt)Bangla (Bangladesh)Dutch (Netherlands)English (India)English (US)French (France)German (Germany)Hindi (India)Indonesian (Indonesia)Italian (Italy)Japanese (Japan)Korean (South Korea)Marathi (India)Polish (Poland)Portuguese (Brazil)Romanian (Romania)
さらに71件Russian (Russia)Spanish (Spain)Tamil (India)Telugu (India)Thai (Thailand)Turkish (Turkey)Ukrainian (Ukraine)Vietnamese (Vietnam)Afrikaans (South Africa)Albanian (Albania)Amharic (Ethiopia)Arabic (World)Armenian (Armenia)Azerbaijani (Azerbaijan)Basque (Spain)Belarusian (Belarus)Bulgarian (Bulgaria)Burmese (Myanmar)Catalan (Spain)Cebuano (Philippines)Chinese Mandarin (China)Chinese Mandarin (Taiwan)Croatian (Croatia)Czech (Czech Republic)Danish (Denmark)English (Australia)English (UK)Estonian (Estonia)Filipino (Philippines)Finnish (Finland)French (Canada)Galician (Spain)Georgian (Georgia)Greek (Greece)Gujarati (India)Haitian Creole (Haiti)Hebrew (Israel)Hungarian (Hungary)Icelandic (Iceland)Javanese (Java)Kannada (India)Konkani (India)Lao (Laos)Latin (Vatican City)Latvian (Latvia)Lithuanian (Lithuania)Luxembourgish (Luxembourg)Macedonian (North Macedonia)Maithili (India)Malagasy (Madagascar)Malay (Malaysia)Malayalam (India)Mongolian (Mongolia)Nepali (Nepal)Norwegian Bokmal (Norway)Norwegian Nynorsk (Norway)Odia (India)Pashto (Afghanistan)Persian (Iran)Portuguese (Portugal)Punjabi (India)Serbian (Serbia)Sindhi (India)Sinhala (Sri Lanka)Slovak (Slovakia)Slovenian (Slovenia)Spanish (Latin America)Spanish (Mexico)Swahili (Kenya)Swedish (Sweden)Urdu (Pakistan)
多言語合成の言語上書き。言語を指定しない場合はテキストから自動検出され、指定するとモデルの発話言語を誘導します。
speakers任意
型object[]
複数話者がテキストの別々の部分を読むための音声設定。各話者に、対応するプロンプト接頭辞と一致するspeaker_idエイリアスと音声を割り当てます。
temperature任意
型number
デフォルト1
0 – 2
発話のランダム性設定。低い設定では集中した予測可能な発話、高い設定では創造的で変化に富んだ発話になります。
output_format任意
型enum
デフォルトmp3
wavmp3ogg_opus
出力音声の形式。mp3は圧縮されたコンパクトなファイルで推奨されます。wavは24 kHz、16ビット、モノラル音声をWAVコンテナに格納した非圧縮PCMです。ogg_opusはOgg内でOpusを使用し、品質とサイズのバランスに優れています。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "gemini-3.1-flash-tts",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "prompt": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
audio
object {url, content_type, file_name, file_size}生成された音声ファイル。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/gemini-3.1-flash-tts.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt